package de.meinefirma.meinprojekt.itt;

import java.util.Map;

/**
 * Doku siehe {@link IttRunner} und {@link IttExecutionInterf}
 */
public class IttTestParm
{
   public final String  key;
   public final String  value;
   public       String  resultValue;
   public       Boolean resultState;
   public       String  errMsg;

   public IttTestParm( String key, String value ) {
      this.key   = key;
      this.value = value;
   }

   public static Long longValueOf( IttTestParm tp ) {
      try {
         return Long.valueOf( tp.value );
      } catch( NumberFormatException ex ) {
         tp.errMsg = "Fehler: Kein Long-Integer: " + ex.getMessage();
         tp.resultState = Boolean.FALSE;
         return null;
      }
   }

   public static String getStringValueFromTestParmMap( Map<String,IttTestParm> map, String key )
   {
      IttTestParm tp = map.get( key );
      return ( tp != null && tp.value != null ) ? tp.value : "";
   }
}
